### File

`packages/ecl/components/ecl-list/ecl-description-list-definition/ecl-description-list-definition.component.ts`

### Description

Component representing a group of definition items in an ECL description list.

Allows display of items in different visual variants and optionally limits how many items are visible by default. Additional items can be revealed via a "see all" toggle.

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit`

### Metadata

selector | `[eclDescriptionListDefinition]`
imports | `EUI_ECL_LINK` `TranslateModule`
templateUrl | `./ecl-description-list-definition.component.html`

### Index

###### Properties
eclListItems
###### Methods
onShowAllItems getCssClasses
###### Inputs
variant class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses maxVisibleItems hasSeeAll

### Inputs

variant
Type : `"link" | "inline" | "taxonomy" | "tag"`
Visual variant of the definition list group. Available values: `'link'` – link-style list `'inline'` – inline list `'taxonomy'` – taxonomy-style list `'tag'` – tag-style list

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies appropriate ECL CSS classes to the host element.

### Methods

onShowAllItems
`onShowAllItems(evt: Event)`
Handles the "see all" link/button click. Reveals all hidden list items. Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclListItems
Type : `QueryList<EclDescriptionListDefinitionItemDirective>`
Decorators : `@ContentChildren(EclDescriptionListDefinitionItemDirective, {descendants: true})`
Internal list of child definition items.

### Accessors

cssClasses
get `cssClasses()`
Applies appropriate ECL CSS classes to the host element. Returns : `string`

maxVisibleItems
set `maxVisibleItems(value: number)`
Number of items visible before the "see all" button is displayed. Parameters :
Name | Type | Optional
value | `number` | No
Returns : `void`

hasSeeAll
get `hasSeeAll()`
Returns `true` if there are hidden items and the "see all" button should be shown. Returns : `boolean`

# results matching ""

# No results matching ""